/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TDmMissingvalue;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TDmMissingvalueRecord extends UpdatableRecordImpl<TDmMissingvalueRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_dm_missingvalue.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_missingvalue.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_dm_missingvalue.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_missingvalue.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_dm_missingvalue.fk_missingcode</code>.
     */
    public void setFkMissingcode(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_missingvalue.fk_missingcode</code>.
     */
    public Integer getFkMissingcode() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_dm_missingvalue.fk_core_missingvalue</code>.
     */
    public void setFkCoreMissingvalue(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_missingvalue.fk_core_missingvalue</code>.
     */
    public Integer getFkCoreMissingvalue() {
        return (Integer) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TDmMissingvalueRecord
     */
    public TDmMissingvalueRecord() {
        super(TDmMissingvalue.T_DM_MISSINGVALUE);
    }

    /**
     * Create a detached, initialised TDmMissingvalueRecord
     */
    public TDmMissingvalueRecord(LocalDateTime lastchange, Integer pk, Integer fkMissingcode, Integer fkCoreMissingvalue) {
        super(TDmMissingvalue.T_DM_MISSINGVALUE);

        setLastchange(lastchange);
        setPk(pk);
        setFkMissingcode(fkMissingcode);
        setFkCoreMissingvalue(fkCoreMissingvalue);
        resetChangedOnNotNull();
    }
}
